> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smolboard.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List all DeliverableComment entities



## OpenAPI

````yaml https://www.smolboard.app/api/openapi.json get /api/entities/deliverablecomment
openapi: 3.1.0
info:
  description: Auto-generated API documentation for smolboard
  title: smolboard
  version: 0.1.0
servers:
  - url: ''
security: []
paths:
  /api/entities/deliverablecomment:
    get:
      tags:
        - DeliverableComment
      summary: List all DeliverableComment entities
      operationId: listDeliverableComment
      parameters:
        - description: Maximum number of results
          in: query
          name: limit
          schema:
            type: integer
        - description: Number of results to skip
          in: query
          name: offset
          schema:
            default: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/DeliverableComment'
                    type: array
                  limit:
                    nullable: true
                    type: integer
                  offset:
                    type: integer
                  total:
                    type: integer
                type: object
          description: List of DeliverableComment
      security:
        - BearerAuth: []
components:
  schemas:
    DeliverableComment:
      properties:
        authorName:
          type: string
        authorRole:
          type: string
        authorUserId:
          type: string
        body:
          type: string
        createdAt:
          format: date-time
          type: string
        eventId:
          type: string
        id:
          type: string
        orgId:
          type: string
        slotId:
          type: string
        speakerUserId:
          type: string
        versionId:
          type: string
      required:
        - id
        - orgId
        - eventId
        - slotId
        - speakerUserId
        - authorUserId
        - authorName
        - authorRole
        - body
        - createdAt
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````